<?php 
// echo "<pre>";
// print_r($_POST);
// echo "</pre>";
// echo "<pre>";
// print_r($_GET);
// echo "</pre>";



// sleep(60);

// die();



  if (!isset($_SESSION)) {
      session_start();
  }

  // echo "<pre>";
  // print_r($_SESSION);
  // echo "</pre>";

function busca_empreendimento($venda){

            include "conexao.php";

            $query_amigo1 = "SELECT produto.empreendimento_idempreendimento FROM parcelas INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda INNER JOIN produto ON venda.produto_idproduto = produto.idproduto   where parcelas.venda_idvenda = '$venda' ORDER BY idparcelas DESC LIMIT 1";

            $executa_query = mysqli_query($db,$query_amigo1);
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
            {                 
                $empreendi     = $buscar_amigo["empreendimento_idempreendimento"];   

            }


            return $empreendi;
}


function numero_sequencia($idparcela){

    include "conexao.php";
    $query_amigo = "SELECT numero_sequencia FROM parcelas WHERE idparcelas = '$idparcela'";

     $executa_query = mysqli_query ($db,$query_amigo);
                 
        while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
                $numero_sequencia     = $reg["numero_sequencia"];

        }
         
         return $numero_sequencia;

}


function limpaValor($val){

      $testa = explode("R$ ", $val);
         $tamanho = count($testa);


         if($tamanho == 2){
            // echo "aqui 1";

               $limpa_val = substr($val, 3);        
        
               $limpa_val = str_replace(".", "", $limpa_val);
               $limpa_val = str_replace(",", ".", $limpa_val);


         }else{
             
               $limpa_val = substr($val, 4);        
        
               $limpa_val = str_replace(".", "", $limpa_val);
               $limpa_val = str_replace(",", ".", $limpa_val);


         }

        
        if ($val == '') {
            $limpa_val == 0.00;
         }


     return $limpa_val;

}

function verificarSaldoAtual($venda,$idcorretor,$saldo_inicial){

     include "conexao.php";

     $query = "SELECT saldo_inicial FROM venda_comissao  WHERE venda_id = '$venda' AND comissao_para = '$idcorretor'";

     $executa = mysqli_query($db,$query);
     $buscar_amigo = mysqli_fetch_assoc($executa);

     $saldo_inicial_ori = $buscar_amigo['saldo_inicial'];

     // echo "SALDO VINDO DO FORMULARIO .: " . $saldo_inicial . "<br>";
     // echo "SALDO DA TABELA .: " . $saldo_inicial_ori . "<br>";

 //    $ssaldo_inicial = limpaValor($saldo_inicial);
        $saldo_inicial = str_replace("R$ ", "", $saldo_inicial);
        $saldo_inicial = str_replace("Â ", "", $saldo_inicial);


     if($saldo_inicial_ori  != $ssaldo_inicial){




          $query1 = "UPDATE venda_comissao SET saldo_inicial = '$saldo_inicial' WHERE venda_id = '$venda' AND comissao_para = '$idcorretor'";

          // echo $query1;
          $executa1 = mysqli_query($db,$query1);

     }

     // die();

   return true;

}




  function buscar_ultimo($idvenda){
       include "conexao.php";

       $query = "SELECT idparcelas FROM parcelas WHERE venda_idvenda = '$idvenda' AND descricao = 'Comissao' ORDER BY idparcelas DESC LIMIT 1";
       $executa = mysqli_query($db, $query) or die("ERRO AO PEGAR ULTIMO ID DE PARCELA DE COMISSAO");
       while($buscar_amigo = mysqli_fetch_assoc($executa)){


              $idparcela = $buscar_amigo['idparcelas'];

       }

         return $idparcela;

  }


             $idcorretores = $_POST['idcorretores'];
             $venda            = $_POST['idvenda'];
             $data_lancamento  = date('d-m-Y H:i:s');
             $pega_data_pagamento   = explode("-",$_POST['data_paga_comissao']);
             $data_pagamento        = $pega_data_pagamento[2]."-".$pega_data_pagamento[1]."-".$pega_data_pagamento[0];
             $data_lanc = date('d-m-Y');
             $id_usuario       = $_SESSION['id_usuario'];
             $equipe_id        = $_POST['equipe'];
             $baixa_parcela    = $_POST['baixa_parcela'];

         foreach ($idcorretores as $key => $idcorretor) {
             include "conexao.php";

         	 global $venda;
         	 global $data_lancamento;
             global $data_pagamento;
             global $id_usuario;
             global $equipe;
             global $data_lanc; 
             global $baixa_parcela;      



             // echo "VENDA DE NUMERO .: " . $venda . "<br>";
             $valor_comissao = $_POST['comissao'][$key];
             $saldo_devedor  = $_POST['saldodevedor'][$key];
             $parcela_atual  = $_POST['parcelaatual'][$key];
             $qtd_parcelas   = $_POST['qtd_parcelas'][$key];
             $saldo_atual    = $_POST['saldoatual'][$key];
             $testa = str_replace(".", "", $saldo_atual);
             $testa = str_replace(",", ".", $saldo_atual);

             $xkk = verificarSaldoAtual($venda,$idcorretor,$testa);
            
             $num_sequencia = $parcela_atual . " / " . $qtd_parcelas;

             $valor_comissao = limpaValor($valor_comissao);
             $saldo_devedor  = limpaValor($saldo_devedor);
             //$saldo_atual    = limpaValor($saldo_atual);
             $saldo_atual    = $saldo_devedor;


             // echo "VALOR DA COMISSAO LANÇADA .: " . $valor_comissao . "<br>";
             // echo "VALOR SALDO DEVEDOR       .: " . $saldo_devedor . "<br>";
             // echo "VALOR SALDO ATUAL         .: " . $saldo_devedor . "<br>";

             // echo "NUMERO DE SEQUENCIA .: " . $numero_sequencia . "<br>";

             $empreendimento = busca_empreendimento($venda);

             // echo "EMPREENDIMENTO .: " . $empreendimento . "<br>";


            // die();





         $insere_contas_pagar =  "INSERT INTO parcelas (venda_idvenda,valor_parcelas,data_vencimento_parcela,situacao,descricao,tipo_venda,fluxo,cliente_id_novo,data_lancamento_sistema,lancamento_por,empreendimento_id_novo) values ('$venda','$valor_comissao','$data_pagamento','Em Aberto','Comissao','3','1','$idcorretor','$data_lancamento','$id_usuario','$empreendimento')";


        //  echo $insere_contas_pagar; die();


         $executa_contas_pagar = mysqli_query($db, $insere_contas_pagar) or die("erro ao inserir comissao no contas a pagar");
         


         $id_da_parcela = buscar_ultimo($venda);



         

//  echo $insere_contas_pagar . "<br>";


         $query = "INSERT INTO comissao_pagamento(id_parcela,id_venda,data_pagamento,id_equipe,valor_pagamento,empreendimento_id,saldo_devedor,comissao_para,data_lancamento,num_sequencia,val_real,id_parcela_baixa)VALUES('$id_da_parcela','$venda','$data_pagamento','$equipe_id','$valor_comissao','$empreendimento','$saldo_devedor','$idcorretor','$data_lanc','$num_sequencia','$valor_comissao','$baixa_parcela')";

       // echo $query . "<br>";  die();

         $executa = mysqli_query($db, $query) or die("erro ao inserir comissao");

         //$saldo_devedor = $saldo_devedor;

         $query1 = "UPDATE venda_comissao SET saldo_atual =  '$saldo_devedor', qtd_lancadas = '$parcela_atual', tot_lancadas = '$qtd_parcelas', id_parcela_baixa = '$baixa_parcela' WHERE comissao_para = '$idcorretor' and venda_id = '$venda'";

        //echo $query1 . "<br>";


         $executa1 = mysqli_query($db, $query1) or die("erro ao atualizar saldo");


           

            }


    // echo "teste 3";

  echo 1;



?>